> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/entity-descriptions/competitor-profile-endpoint/endpoint.md).

# Endpoint

The competitor profile endpoint returns the competitor's information who can take part in a tournament. Here, a competitor can be a player or a team. When a player ID is provided as input, this endpoint returns the player's information, including their name, nationality, gender, associated sport, and category.

&#x20;**Endpoint Parameters**

| Parameter                                                 | Description                               | Possible Values                                                                                          |
| --------------------------------------------------------- | ----------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>  | Language code for translation.            | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>urn\_type</em></p><p><strong>Required</strong></p> | The type of event to look up.             | competitor, simple\_team                                                                                 |
| <p><em>match\_id</em></p><p><strong>Required</strong></p> | The ID of the competitor (team or player) | E.g: 92877 ; 92877 corresponds to a player ID and                                                        |

## Competitor information

> Name and details about a competitor (team, tennis player, race driver etc.). \<a href='<https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/competitor\\_profile.xsd>' target='\_blank'>xml schema\</a>

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/sports/{language}/competitors/sr:{urn_type}:{id}/profile.xml":{"get":{"summary":"Competitor information","description":"Name and details about a competitor (team, tennis player, race driver etc.). <a href='https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/competitor_profile.xsd' target='_blank'>xml schema</a>","operationId":"competitorInformation","tags":["Entity descriptions"],"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"urn_type","description":"Choose if you want to look for a team or a competitor","in":"path","required":true,"schema":{"type":"string","enum":["competitor","simple_team"]},"default":"competitor"},{"name":"id","description":"The ID for the competitior.","in":"path","required":true,"schema":{"type":"integer"},"default":245739}],"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/entity-descriptions/competitor-profile-endpoint/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
